package com.muyu.aliyun.bailian;
import java.io.IOException;
import java.io.InputStream;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * Md5工具类
 */
public class Md5Utils {
    public static String getFileMd5(String filePath) {
        MessageDigest digest = null;
        try {
            digest = MessageDigest.getInstance("MD5");

        try (InputStream is = Files.newInputStream(Paths.get(filePath))) {
            byte[] buffer = new byte[1024];
            int read;
            while ((read = is.read(buffer)) > 0) {
                digest.update(buffer, 0, read);
            }
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
            byte[] md5Bytes = digest.digest();

        StringBuilder md5String = new StringBuilder();
        for (byte b : md5Bytes) {
            md5String.append(String.format("%02x", b));
        }
        return md5String.toString();

        } catch (NoSuchAlgorithmException e) {
            throw new RuntimeException(e);
        }
    }
}
